window.SERVICE_ID = {
  sysMenuId: 1, //权限菜单
  sysAuthId: 2, //根据用户ID或用户组ID获取权限
  sysAllMenuId: 3, //获取全部权限
  serTableDataId: 4, //服务设置-算法配置-获取数据源名称
  sysUserAuthId: 5, //用户数据权限获取
  getUserTableId: 9, //根据账号组获取账号
  getAirpotId: 14, //获取机场三字码
  getJqId: 10023, //获取机器维护列表
  getTableColumnId: 18122, //获取表头
  authTreeId: 18126, //获取表头
  getAppId: 18133, //获取应用列表
  roleListId: 10024, //角色列表
  userListId: 10026, //用户管理列表
  userAuthorizationId: 10027, //用户授权
  depTableId: 185, //机器维护-表头
  serTableId: 203, //服务设置-表头
  bagTableId: 20030, //行李详情-表头
  bagDetailId: 20027, //行李详情-表格
  bagViewId: 20036, //航班视图-基础信息
  changePwd: 20045, // 修改密码
  
  /***-----高级查询------***/
  baggageTypeId: 86, //高级查询-特殊行李类型下拉选项查询-id
  advancedQueryId: 30, //高级查询-数据查询-id
  advancedQueryNew: 93, //高级查询-数据查询-id

  /***-----进港管理------***/
  arrivalAirId: 67, //进港管理-机场选择
  arrivalTableId: 38, //进港管理-表格

  /***-----离港管理------***/
  departureAirMainId: 65, //离港管理-机场选择
  departureTableMainId: 66, //离港管理-表格
  departureWarningId: 18040, //离港管理-报警策略

  /***-----中转进港------***/
  departureAirId: 72, // 中转进港-机场选择
  departureAviJoinId: 71, // 中转进港-进港承运航司
  departureAviLeaveId: 74, // 中转进港-离港承运航司
  departureTableId: 69, // 中转进港-表格

  /***-----中转离港------***/
  departureAirLtId: 72, // 中转离港-机场选择
  departureAviJoinLtId: 71, // 中转离港-进港承运航司
  departureAviLeaveLtId: 74, // 中转离港-离港承运航司
  departureTableLtId: 68, // 中转离港-表格

  /***-----航班视图------***/
  flightAirline: 1141, // 航班-航段
  flightInfo: 1142, // 航班-基础信息
  flightContainer: 41, // 航班-容器
  flightBaggage: 1144, // 航班-行李列表
  abnormalBaggageInfo: 1145,

  /***-----行李视图------***/
  baggageBasicInfo: 255, // 行李-基础信息
  baggageAirline: 18009, // 行李-航段
  baggageTrack: 18010, // 行李-追踪节点
  baggageDetails: 44, // 行李-详情列表
  baggageMessage: 3066, // 行李-原始报文

  /***-----容器视图------***/
  containerHistory: 18026,
  containerBaggage: 18027,

  /***-----统计分析------***/
  stOrderId: 18012,
  stOrderChartId: 18013,
  stCalId: 18014,
  stFigntsId: 18015,
  stSpeedId: 18016,
  stBaggageId: 18017,
  stMapId: 18018,
  stCountryId: 18019,
  stTerminalId: 18020,
  stBrsId: 1803429,

  // 数据统计
  airlineOptions: 1806, // 航线下拉
  twoCharacterOptions: 1803426, // 二字码下拉
  termSeleid: 1156, //航站选择下拉
  areaOptions: 1807, // 大区/基地分公司下拉
  AirportId: 1808, // 航站下拉
  TerminalId: 1809, // 航站楼下拉
  byOther: 1810, // 大区/分公司以外航班统计（全部）
  byArea: 1811, // 根据大区/分公司航班统计（全部）
  withBaggageByOther: 1812, // 大区/分公司以外航班统计（有行李）
  withBaggageByArea: 1814, // 根据大区/分公司航班统计（有行李）
  baggageByOther: 1815, // 行李统计（全部）
  baggageByArea: 1816, // 行李统计-分公司（全部）
  notDelByOther: 1817, // 行李统计（不包含DEL）
  notDelByArea: 1818, // 行李统计-分公司（不包含DEL）
  baggagePassengerByOther: 1819, // 行李旅客统计
  baggagePassengerByArea: 1820, // 行李旅客统计-分公司
  specialBaggageByOther: 1821, // 特殊行李统计
  specialBaggageByArea: 1822, // 特殊行李统计-分公司
  abnormalBaggageByOther: 1823, // 异常行李统计
  abnormalBaggageByArea: 1824, // 异常行李统计-分公司
  complaintBaggageByOther: 1825, // 投诉行李统计
  complaintBaggageByArea: 1826, // 投诉行李统计-分公司
  compensationBaggageByOther: 1827, // 赔偿行李统计
  compensationBaggageByArea: 1828, // 赔偿行李统计-分公司
  compensationByOther: 1829, // 赔偿金额统计
  compensationByArea: 1830, // 赔偿金额统计-分公司
  baggageAverageByOther: 1831, // 平均行李统计
  baggageAverageByArea: 1832, // 平均行李统计-分公司
  specialBaggageClassificationByOther: 1193, // 特殊行李分类统计
  specialBaggageClassificationByArea: 1194, // 特殊行李分类统计-分公司
  flightClassificationByOther: 1195, // 航班分类统计
  flightClassificationByArea: 1196, // 航班分类统计-分公司
  compensationClassificationByOther: 1197, // 赔偿分类统计
  compensationClassificationByArea: 1198, // 赔偿分类统计-分公司
  passengerNormalClassificationByOther: 1199, // 旅客分类常客统计
  passengerNormalClassificationByArea: 1200, // 旅客分类常客统计-分公司
  passengerImportantClassificationByOther: 1201, // 旅客分类要客统计
  passengerImportantClassificationByArea: 1202, // 旅客分类要客统计-分公司
  abnormalBaggageClassificationByOther: 1205, // 异常行李分类统计
  abnormalBaggageClassificationByArea: 1206, // 异常行李分类统计-分公司
  compensationClassificationAll: 1834, // 赔偿金额分类统计-全部
  compensationClassificationByAirline: 1835, // 赔偿金额分类统计-航线
  compensationBaggageClassificationAll: 1836, // 赔偿行李分类统计-全部
  compensationBaggageClassificationByAirline: 1837, // 赔偿行李分类统计-航线
  abnormalBaggageClassificationAll: 1838, // 异常行李分类统计-全部
  abnormalBaggageClassificationByAirline: 1839, // 异常行李分类统计-航线
  nodeRange: 1801, // 节点查询范围
  nodeAirline: 1802, // 节点航线下拉
  nodeAirport: 1803, // 节点航站下拉
  nodeAll: 1804, // 节点统计雷达图-全部
  nodeIn: 1804, // 节点统计雷达图-进港
  nodeOut: 1804, // 节点统计雷达图-离港
  nodeExportAirline: 1805, // 节点统计导出-航线
  nodeExportAirport: 1805, // 节点统计导出-航站
  nodeAxisDesc: 90, // 节点统计指示器名称解释

  /***-----速运行李------***/
  expressTransportationUpload: 20034, // 速运行李数据上传
  expressTransportation: 1803432, // 速运行李数据查询
}
